#
# spec file for package google-noto-coloremoji-fonts
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           google-noto-coloremoji-fonts
Version:        20240424
Release:        1.1
Summary:        Noto Color Emoji font
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/googlefonts/noto-emoji
Source0:        https://github.com/googlefonts/noto-emoji/raw/v2.042/fonts/LICENSE
Source1:        https://github.com/googlefonts/noto-emoji/raw/v2.042/fonts/NotoColorEmoji.ttf
BuildRequires:  fontpackages-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       noto-emoji-fonts = %version
Obsoletes:      noto-coloremoji-fonts < 20230315
Obsoletes:      noto-emoji-fonts < %version
Provides:       noto-coloremoji-fonts = %{version}
%reconfigure_fonts_prereq

%description
Noto Color Emoji font

%prep
cp %{S:0} .

%build

%install
install -Dm 644 -t %{buildroot}%{_ttfontsdir} %{S:1}

%reconfigure_fonts_scriptlets

%files
%defattr(0644,root,root,755)
%license LICENSE
%dir %{_ttfontsdir}
%{_ttfontsdir}/NotoColorEmoji.ttf

%changelog
* Wed Apr 24 2024 Carsten Ziepke <kieltux@gmail.com>
- Update to v2.042
  * Unicode 15.1 update
* Tue Dec 12 2023 Giacomo Comes <gcomes.obs@gmail.com>
- add %%reconfigure_fonts_prereq
  * required by the presence of the macro: %%reconfigure_fonts_scriptlets
* Wed Mar 15 2023 Jacob Michalskie <hel@lcp.world>
- Update to the latest version of Noto Emojis supporting Unicode 15.0
* Sat Jul 16 2022 Gordon Leung <pirateclip@protonmail.com>
  rename: noto-coloremoji-fonts -> google-noto-coloremoji-fonts
* Sun Jan  9 2022 Kévin Le Gouguec <kevin.legouguec@gmail.com>
- Update to v2.034
  * Unicode 14.0 update
* Thu Sep 17 2020 Ismail Dönmez <idonmez@suse.com>
- Update to v2020-09-16-unicode13_1
  * Unicode 13.1 update
* Thu Jul 23 2020 Yunhe Guo <i@guoyunhe.me>
- Update to v2020-07-22-unicode13_0
  * Unicode 13.0 update.
* Thu Apr  9 2020 Yunhe Guo <i@guoyunhe.me>
- Update to v2020-04-08-unicode12_1
  * Emoji 12.1 svg & png files
* Wed Feb 26 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to Version 20191119 Unicode 12
  * Updated font file and artwork to Unicode 12
  * Added flags for:
    + BL: Saint Barthélemy
    + BQ: Caribbean Netherlands
    + MQ: Martinique
    + RE: Réunion
    + TF: French Southern Territories
  * Changed flags for:
    + XK: Kosovo
    + FR: France
    + NL: Netherlands
  * This release also fixes the people holding hands emoji to work for
    any combination of skin tone modifiers.
* Tue Apr 30 2019 Yunhe Guo <i@guoyunhe.me>
- Splited from google-noto-fonts project
- Removed black and white emoji font, which was deprecated
- Version 20180810 Unicode 11
